Mopidy Discourse

Tunein plugin search doesn't find station/how to add station that is not showing in search

Hello!

I am using mopidy for my kitchen radio, not fan of google , alexa speakers…

So for month or so usual mp3 stream not working for my favorite radios.

They are on Tunein but I installed plugin and can’t find them on search.

Station Air1 and KLove

Please advice how to add station manually.

Thanks

Really? Am I only one

I took a look (I finally felt like I had time) and I’m not sure that the TuneIn plugin has a search function per se. I use it occasionally and I typically just drill through the menus to find what I want. I wish I had a better answer for you. I may look into it a little deeper this week.

Thanks for looking into this. I now use mpd to play radio that I need. But still question why mpd is able to play but mopidy is not.
Mopidy has better mobile client and also some better plugins. So if I get this working I am leaving mpd for good :smiley:

For example this stream
https://maestro.emfcdn.com/stream_for/sa001/tunein

It has search functionality, it’s used when you search in the clients. it’s just not very good because the TuneIn API is pretty terrible. Don’t think we can do much about this.

It would be helpful if you could set the logging verbosity to debug level (see the docs) and provide a log showing the failure to load the this particular stream.

I use web interface to add streams - mopify.

But let me know how to collect log file so I can post it here.

I am on raspberry pi on headless setup ( no UI) just ssh.

That one works for me in Mopidy

What you use to play it?

Some extra plugin?

No, just pasted that link into the Streams section on the musicbox webclient

1 Like

WARNING 2020-11-27 08:38:46,838 [905:MainThread] mopidy.audio.actor
Could not find a MPEG-2 AAC decoder to handle media.
WARNING 2020-11-27 08:38:46,847 [905:MainThread] mopidy.audio.gst
GStreamer warning: No decoder available for type ‘audio/mpeg, framed=(boolean)true, mpegversion=(int)2, level=(string)1, profile=(string)lc, rate=(int)24000, channels=(int)1, stream-format=(string)adts’.
ERROR 2020-11-27 08:38:46,866 [905:MainThread] mopidy.audio.gst
GStreamer error: Your GStreamer installation is missing a plug-in.

Solved - was missing gstremer plugins-bad installation.

Thanks for help everyone!

Do you mean you can now stream the stations you want?

Yes that’s right now it works after install

sudo apt-get install gstreamer1.0-plugins-bad

1 Like